Debian Bug report logs - #571239
linux-image-2.6.26-2-686: CIFS OOPS in cifs:CIFSFindNext+0x174/0x2dc

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Ronald Moesbergen <intercommit@gmail.com>

Date: Wed, 24 Feb 2010 15:42:02 UTC

Severity: important

Tags: patch, security

Merged with 524438

Found in version 2.6.26-21lenny3

Fixed in version linux-2.6/2.6.26-27

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571239; Package linux-2.6. (Wed, 24 Feb 2010 15:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronald Moesbergen <intercommit@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Feb 2010 15:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ronald Moesbergen <intercommit@gmail.com>
To: submit@bugs.debian.org
Subject: linux-image-2.6.26-2-686: CIFS OOPS in cifs:CIFSFindNext+0x174/0x2dc
Date: Wed, 24 Feb 2010 16:40:51 +0100
Package: linux-2.6
Version: 2.6.26-21lenny3
Severity: important

We have a process that periodically checks for files on a cifs mounted
filesystem, using 'find'. The OOPS below occurred and the process got
stuck in 'D' state and was unkillable.

-- Package-specific info:
** Version:
Linux version 2.6.26-2-686 (Debian 2.6.26-21lenny3) (dannf@debian.org)
(gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Wed
Feb 10 08:59:21 UTC 2010

** Command line:
root=/dev/cciss/c0d0p1 ro

** Not tainted

** Kernel log:

[78800.008294] BUG: unable to handle kernel paging request at f8000000
[78800.008294] IP: [<f9082a3f>] :cifs:CIFSFindNext+0x174/0x2dc
[78800.008294] *pde = 00000000
[78800.008294] Oops: 0002 [#1] SMP
[78800.008294] Modules linked in: nls_utf8 cifs nls_base sha1_generic
drbd cn iptable_raw xt_comment xt_policy ipt_ULOG ipt_TTL ipt_ttl
ipt_REJECT ipt_REDIRECT ipt_recent ipt_NETMAP ipt_MASQUERADE ipt_LOG
ipt_ECN ipt_ecn ipt_CLUSTERIP ipt_ah ipt_addrtype nf_nat_tftp
nf_nat_snmp_basic nf_nat_sip nf_nat_pptp nf_nat_proto_gre nf_nat_irc
nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda
nf_conntrack_tftp nf_conntrack_sip nf_conntrack_proto_sctp
nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack_netlink
nf_conntrack_netbios_ns nf_conntrack_irc nf_conntrack_h323
nf_conntrack_ftp xt_tcpmss xt_pkttype xt_physdev xt_owner xt_NFQUEUE
xt_NFLOG xt_multiport xt_MARK xt_mark xt_mac xt_limit xt_length
xt_iprange xt_helper xt_hashlimit xt_DSCP xt_dscp xt_dccp xt_conntrack
xt_CONNMARK xt_connmark xt_CLASSIFY xt_tcpudp xt_state iptable_nat
nf_nat nf_conntrack_ipv4 nf_conntrack iptable_mangle nfnetlink
iptable_filter ip_tables x_tables ipmi_devintf loop snd_pcm snd_timer
snd soundcore psmouse pcspkr snd_page_alloc serio_raw ipmi_si
ipmi_msghandler hpilo rng_core i5000_edac edac_core container button
shpchp pci_hotplug evdev ext3 jbd mbcache dm_mirror dm_log dm_snapshot
dm_mod ide_cd_mod cdrom ata_generic libata dock ide_pci_generic usbhid
hid ff_memless piix ehci_hcd uhci_hcd ide_core usbcore bnx2
firmware_class cciss scsi_mod thermal processor fan thermal_sys [last
unloaded: scsi_wait_scan]
[78800.008294]
[78800.008294] Pid: 23316, comm: find Not tainted (2.6.26-2-686 #1)
[78800.008294] EIP: 0060:[<f9082a3f>] EFLAGS: 00010282 CPU: 3
[78800.008294] EIP is at CIFSFindNext+0x174/0x2dc [cifs]
[78800.008294] EAX: f7fea400 EBX: c015adf7 ECX: 30051492 EDX: 004f0056
[78800.008294] ESI: f5c63860 EDI: f7fffffe EBP: f7b0fc94 ESP: f7df9eb8
[78800.008294]  DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
[78800.008294] Process find (pid: 23316, ti=f7df8000 task=f74b7a00
task.ti=f7df8000)
[78800.008294] Stack: c0355c80 f79063c0 000184bc 00000000 00000003
f7fea400 f7fea400 00000000
[78800.008294]        01010096 00000098 00000000 f909713a f7b0fc94
c017eafc f7df9f94 f75e8e00
[78800.008294]        f7b0fc40 c1000000 000184bc 7422b067 f79063c0
7422b067 006ff260 f79e6000
[78800.008294] Call Trace:
[78800.008294]  [<f909713a>] cifs_readdir+0x2fe/0xed0 [cifs]
[78800.008294]  [<c017eafc>] filldir64+0x0/0xc5
[78800.008294]  [<c0187c10>] mnt_want_write+0x21/0x57
[78800.008294]  [<c018525d>] touch_atime+0xe/0xd1
[78800.008294]  [<c017ecdc>] vfs_readdir+0x62/0x8c
[78800.008294]  [<c017eafc>] filldir64+0x0/0xc5
[78800.008294]  [<c017ed69>] sys_getdents64+0x63/0xa5
[78800.008294]  [<c0103857>] sysenter_past_esp+0x78/0xb1
[78800.008294]  [<c02b0000>] quirk_vt8235_acpi+0x5e/0x7a
[78800.008294]  =======================
[78800.008294] Code: 89 50 4c 8b 44 24 18 66 c7 40 50 06 00 8b 5d 20
81 fb ff 0f 00 00 0f 8f 5e 01 00 00 8b 7c 24 18 89 d9 c1 e9 02 8b 75
1c 83 c7 52 <f3> a5 89 d9 83 e1 03 74 02 f3 a4 8b 44 24 18 8d 53 0e 8d
4b 0f
[78800.008294] EIP: [<f9082a3f>] CIFSFindNext+0x174/0x2dc [cifs]
SS:ESP 0068:f7df9eb8
[78800.008294] ---[ end trace b921610fb330135c ]---

** Loaded modules:
Module                  Size  Used by
nls_utf8                1760  0
cifs                  208948  0
nls_base                6820  2 nls_utf8,cifs
sha1_generic            2304  4
drbd                  179724  12
cn                      5376  1 drbd
iptable_raw             2176  0
xt_comment              1664  0
xt_policy               2848  0
ipt_ULOG                6820  0
ipt_TTL                 1856  0
ipt_ttl                 1600  0
ipt_REJECT              2784  4
ipt_REDIRECT            1760  1
ipt_recent              6908  0
ipt_NETMAP              1760  0
ipt_MASQUERADE          2592  0
ipt_LOG                 5028  14
ipt_ECN                 2336  0
ipt_ecn                 1888  0
ipt_CLUSTERIP           5956  0
ipt_ah                  1664  0
ipt_addrtype            2304  0
nf_nat_tftp             1568  0
nf_nat_snmp_basic       8296  0
nf_nat_sip              5440  0
nf_nat_pptp             2880  0
nf_nat_proto_gre        2212  1 nf_nat_pptp
nf_nat_irc              2080  0
nf_nat_h323             5728  0
nf_nat_ftp              2528  0
nf_nat_amanda           1824  0
ts_kmp                  1824  5
nf_conntrack_amanda     3808  1 nf_nat_amanda
nf_conntrack_tftp       4180  1 nf_nat_tftp
nf_conntrack_sip       16124  1 nf_nat_sip
nf_conntrack_proto_sctp     6600  0
nf_conntrack_pptp       5476  1 nf_nat_pptp
nf_conntrack_proto_gre     4416  1 nf_conntrack_pptp
nf_conntrack_netlink    14176  0
nf_conntrack_netbios_ns     2368  0
nf_conntrack_irc        5124  1 nf_nat_irc
nf_conntrack_h323      44712  1 nf_nat_h323
nf_conntrack_ftp        6852  1 nf_nat_ftp
xt_tcpmss               1984  0
xt_pkttype              1728  4
xt_physdev              2352  0
xt_owner                2560  0
xt_NFQUEUE              1792  0
xt_NFLOG                1824  0
xt_multiport            2816  4
xt_MARK                 2304  0
xt_mark                 1952  0
xt_mac                  1728  0
xt_limit                2180  0
xt_length               1760  0
xt_iprange              2272  0
xt_helper               2112  0
xt_hashlimit            9360  0
xt_DSCP                 2944  0
xt_dscp                 2368  0
xt_dccp                 2696  0
xt_conntrack            3488  0
xt_CONNMARK             2944  0
xt_connmark             2368  0
xt_CLASSIFY             1696  0
xt_tcpudp               2816  23
xt_state                2016  17
iptable_nat             4680  1
nf_nat                 15576  13
ipt_REDIRECT,ipt_NETMAP,ipt_MASQUERADE,nf_nat_tftp,nf_nat_sip,nf_nat_pptp,nf_nat_proto_gre,nf_nat_irc,nf_nat_h323,nf_nat_ftp,nf_nat_amanda,nf_conntrack_netlink,iptable_nat
nf_conntrack_ipv4      12268  20 iptable_nat,nf_nat
nf_conntrack           55540  29
ipt_MASQUERADE,ipt_CLUSTERIP,nf_nat_tftp,nf_nat_snmp_basic,nf_nat_sip,nf_nat_pptp,nf_nat_irc,nf_nat_h323,nf_nat_ftp,nf_nat_amanda,nf_conntrack_amanda,nf_conntrack_tftp,nf_conntrack_sip,nf_conntrack_proto_sctp,nf_conntrack_pptp,nf_conntrack_proto_gre,nf_conntrack_netlink,nf_conntrack_netbios_ns,nf_conntrack_irc,nf_conntrack_h323,nf_conntrack_ftp,xt_helper,xt_conntrack,xt_CONNMARK,xt_connmark,xt_state,iptable_nat,nf_nat,nf_conntrack_ipv4
iptable_mangle          2688  1
nfnetlink               3928  1 nf_conntrack_netlink
iptable_filter          2624  1
ip_tables              10160  4
iptable_raw,iptable_nat,iptable_mangle,iptable_filter
x_tables               13284  42
xt_comment,xt_policy,ipt_ULOG,ipt_TTL,ipt_ttl,ipt_REJECT,ipt_REDIRECT,ipt_recent,ipt_NETMAP,ipt_MASQUERADE,ipt_LOG,ipt_ECN,ipt_ecn,ipt_CLUSTERIP,ipt_ah,ipt_addrtype,xt_tcpmss,xt_pkttype,xt_physdev,xt_owner,xt_NFQUEUE,xt_NFLOG,xt_multiport,xt_MARK,xt_mark,xt_mac,xt_limit,xt_length,xt_iprange,xt_helper,xt_hashlimit,xt_DSCP,xt_dscp,xt_dccp,xt_conntrack,xt_CONNMARK,xt_connmark,xt_CLASSIFY,xt_tcpudp,xt_state,iptable_nat,ip_tables
ipmi_devintf            6216  0
loop                   12748  0
snd_pcm                62660  0
snd_timer              17800  1 snd_pcm
snd                    45636  2 snd_pcm,snd_timer
soundcore               6368  1 snd
ipmi_si                33228  0
snd_page_alloc          7816  1 snd_pcm
pcspkr                  2432  0
ipmi_msghandler        29560  2 ipmi_devintf,ipmi_si
hpilo                   7020  0
psmouse                32336  0
rng_core                3940  0
serio_raw               4740  0
i5000_edac              7588  0
edac_core              36144  3 i5000_edac
container               3456  0
button                  6096  0
shpchp                 25528  0
pci_hotplug            23460  1 shpchp
evdev                   8000  0
ext3                  105576  1
jbd                    39476  1 ext3
mbcache                 7108  1 ext3
dm_mirror              15136  0
dm_log                  8452  1 dm_mirror
dm_snapshot            14340  0
dm_mod                 46216  14 dm_mirror,dm_log,dm_snapshot
ide_cd_mod             27684  0
cdrom                  30176  1 ide_cd_mod
ata_generic             4676  0
libata                140448  1 ata_generic
dock                    8304  1 libata
ide_pci_generic         3908  0 [permanent]
usbhid                 35904  0
hid                    33184  1 usbhid
ff_memless              4392  1 usbhid
piix                    6568  0 [permanent]
ide_core               96168  3 ide_cd_mod,ide_pci_generic,piix
bnx2                   53544  0
ehci_hcd               28428  0
firmware_class          6816  1 bnx2
uhci_hcd               18672  0
usbcore               118192  4 usbhid,ehci_hcd,uhci_hcd
cciss                  51620  3
scsi_mod              129548  2 libata,cciss
thermal                15228  0
processor              32576  1 thermal
fan                     4196  0
thermal_sys            10856  3 thermal,processor,fan

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-2-686 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.26-2-686 recommends:
ii  libc6-i686                  2.7-18lenny2 GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.26-2-686 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26           <none>        (no description available)

Versions of packages linux-image-2.6.26-2-686 is related to:
ii  firmware-bnx2                0.14+lenny2 Binary firmware for Broadcom NetXt
pn  firmware-bnx2x               <none>      (no description available)
pn  firmware-ipw2x00             <none>      (no description available)
pn  firmware-ivtv                <none>      (no description available)
pn  firmware-iwlwifi             <none>      (no description available)
pn  firmware-linux               <none>      (no description available)
pn  firmware-linux-nonfree       <none>      (no description available)
pn  firmware-qlogic              <none>      (no description available)
pn  firmware-ralink              <none>      (no description available)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571239; Package linux-2.6. (Sun, 30 May 2010 12:45:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 30 May 2010 12:45:37 GMT) Full text and rfc822 format available.

Message #10 received at 571239@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ronald Moesbergen <intercommit@gmail.com>
Cc: 571239@bugs.debian.org, control@bugs.debian.org
Subject: Re: linux-image-2.6.26-2-686: CIFS OOPS in cifs:CIFSFindNext+0x174/0x2dc
Date: Sun, 30 May 2010 14:42:00 +0200
tags 571239 moreinfo
thanks

On Wed, Feb 24, 2010 at 04:40:51PM +0100, Ronald Moesbergen wrote:
> Package: linux-2.6
> Version: 2.6.26-21lenny3
> Severity: important
> 
> We have a process that periodically checks for files on a cifs mounted
> filesystem, using 'find'. The OOPS below occurred and the process got
> stuck in 'D' state and was unkillable.

Does this occur reproducibly or was this a single occurance?

Cheers,
        Moritz




Added tag(s) moreinfo. Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Sun, 30 May 2010 12:45:47 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571239; Package linux-2.6. (Mon, 31 May 2010 08:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronald Moesbergen <intercommit@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 31 May 2010 08:21:09 GMT) Full text and rfc822 format available.

Message #17 received at 571239@bugs.debian.org (full text, mbox):

From: Ronald Moesbergen <intercommit@gmail.com>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 571239@bugs.debian.org
Subject: Re: linux-image-2.6.26-2-686: CIFS OOPS in cifs:CIFSFindNext+0x174/0x2dc
Date: Mon, 31 May 2010 10:19:33 +0200
2010/5/30 Moritz Muehlenhoff <jmm@inutil.org>:
> On Wed, Feb 24, 2010 at 04:40:51PM +0100, Ronald Moesbergen wrote:
>> Package: linux-2.6
>> Version: 2.6.26-21lenny3
>> Severity: important
>>
>> We have a process that periodically checks for files on a cifs mounted
>> filesystem, using 'find'. The OOPS below occurred and the process got
>> stuck in 'D' state and was unkillable.
>
> Does this occur reproducibly or was this a single occurance?

It occurred reproducibly (we had around 4 or 5 crashed with the same
oops). Since then we have reverted back to the 'etch' kernel (2.6.18)
and the problem is gone. So it seems like a regression in 2.6.26.

Ronald.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#571239; Package linux-2.6. (Fri, 20 Aug 2010 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronald Moesbergen <intercommit@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 20 Aug 2010 07:27:03 GMT) Full text and rfc822 format available.

Message #22 received at 571239@bugs.debian.org (full text, mbox):

From: Ronald Moesbergen <intercommit@gmail.com>
To: 571239@bugs.debian.org
Subject: Re: linux-image-2.6.26-2-686: CIFS OOPS in cifs:CIFSFindNext+0x174/0x2dc
Date: Fri, 20 Aug 2010 09:23:17 +0200
tags 571239 - moreinfo
thanks




Removed tag(s) moreinfo. Request was from Ronald Moesbergen <intercommit@gmail.com> to control@bugs.debian.org. (Fri, 20 Aug 2010 07:39:06 GMT) Full text and rfc822 format available.

Forcibly Merged 524438 571239. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:21:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Tue, 02 Aug 2011 05:51:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Oct 2011 07:37:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:31:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.